Bug 222010 - Estimated time remaining varies wildly
Estimated time remaining varies wildly
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-09 11:05 EST by Bob Peers
Modified: 2013-03-05 22:48 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-08 14:38:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Graph of charge history showing gradual decrease in power (37.57 KB, image/png)
2007-01-09 11:05 EST, Bob Peers
no flags Details
Estimated time graph for the same period varies wildly (72.01 KB, image/png)
2007-01-09 11:06 EST, Bob Peers
no flags Details
gnome-power-manager "rate graph" (45.15 KB, image/png)
2007-04-13 16:04 EDT, Bob Peers
no flags Details

  None (edit)
Description Bob Peers 2007-01-09 11:05:12 EST
Description of problem:
Using gnome-power-manager the estimated time remaining on battery varies from
minutes to many hours even though the discharge rate as shown by the charge
history seems fairly constant.

Version-Release number of selected component (if applicable):
2.16.0

How reproducible:
Every time

Steps to Reproduce:
1.Run computer on battery power.
2.
3.
  
Actual results:
Graph and tool tip on gnome power manager showing time remaining varies so much
as to be meaningless.

Expected results:
Should produces a fairly accurate estimate of battery time remaining.

Additional info:
Comment 1 Bob Peers 2007-01-09 11:05:13 EST
Created attachment 145168 [details]
Graph of charge history showing gradual decrease in power
Comment 2 Bob Peers 2007-01-09 11:06:20 EST
Created attachment 145169 [details]
Estimated time graph for the same period varies wildly
Comment 3 Frank Schmitt 2007-04-13 07:50:57 EDT
gnome-power-manager uses hal. If you execute the following command in a
terminal, you should get the remaining time in seconds as estimated by hal:

lshal | grep battery.remaining_time

If this is wrong too, the bug is in hal.
Comment 4 Richard Hughes 2007-04-13 07:55:53 EDT
Also, what does the "rate" graph look like? I've fixed this in 2.19.x, but this
is very new code.
Comment 5 Bob Peers 2007-04-13 16:04:05 EDT
Created attachment 152580 [details]
gnome-power-manager "rate graph"
Comment 6 Bob Peers 2007-04-13 16:05:23 EDT
Executing:

lshal | grep battery.remaining_time

does seem to show random values that are reflected in gnome-power-manager
resulting in low power warnings just after I've unplugged from AC and have 99%
battery left. I'll look into assigning the bug to HAL in this case.

Re the "rate" graph, it's always shown 0W no matter if I'm on AC power or
battery, it never changes. Here's the graph anyway even though it's a bit boring ;-)
Comment 7 Bug Zapper 2008-04-04 01:32:36 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 8 Bob Peers 2008-04-08 14:38:56 EDT
Using Fedora 8 now and the time remaining seems stable and correct. Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.